Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 14 Feb 2018 18:21:54 +0000 (UTC)
From:      Warner Losh <imp@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-all@freebsd.org, svn-src-head@freebsd.org
Subject:   svn commit: r329270 - head/tools/boot
Message-ID:  <201802141821.w1EILs5U045202@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: imp
Date: Wed Feb 14 18:21:54 2018
New Revision: 329270
URL: https://svnweb.freebsd.org/changeset/base/329270

Log:
  Simple script to image a small test area from a built tree. Build with
  'cd stand; make MK_FORTH=no MK_LOADER_LUA=yes' then run this script.
  You can then test with lua-test.sh with the same parameter.

Added:
  head/tools/boot/lua-img.sh   (contents, props changed)

Added: head/tools/boot/lua-img.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/tools/boot/lua-img.sh	Wed Feb 14 18:21:54 2018	(r329270)
@@ -0,0 +1,25 @@
+#!/bin/sh
+# $FreeBSD$
+
+# Quick script to build a suitable /boot dir somewhere in the tree for testing.
+
+die() {
+    echo $*
+    exit 1
+}
+
+dir=$1
+cd $(make -V SRCTOP)
+
+[ -n "$dir" ] || die "No directory specified"
+
+set -e
+
+rm -rf ${dir}
+mkdir -p ${dir}
+mtree -deUW -f etc/mtree/BSD.root.dist -p ${dir}
+mtree -deUW -f etc/mtree/BSD.usr.dist -p ${dir}/usr
+cd stand
+make install DESTDIR=${dir} NO_ROOT=t MK_LOADER_LUA=yes MK_FORTH=no MK_INSTALL_AS_USER=yes
+mkdir -p ${dir}/boot/kernel
+cp /boot/kernel/kernel ${dir}/boot/kernel



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201802141821.w1EILs5U045202>